/**** СУББЛОКИ **/
  /** альтернатива тегу <hr */
    .container-subblock {
      border-bottom: 1px solid #e0e0e0;
    }
    .container-subblock--small {
        margin: 1.3em 0 1.3em;
        padding-bottom: 1.3em;
    }
    .container-subblock--normal {
        margin: 3.9em 0 3.9em;
        padding-bottom: 3.9em;
    }
    .container-subblock--large {
        margin: 7.8em 0 7.8em;
        padding-bottom: 7.8em;
    }
    .container-subblock:first-child {
      margin-top: 0;
    }
    .container-subblock--borderless {
      border-bottom: none;
      padding-bottom: 0;
    }
  /* альтернатива тегу <hr */
  
  /** Реализуемые специальности и направления подготовки кафедрами */
    .oop-department {
      display: flex;
      flex-flow: row wrap;
      gap: 16px 32px;
    }
    .oop-department__item {
        flex: 1 0 calc(50% - 16px);
        min-width: 270px;
    }
    .oop-department__item > .item__title {
        font-size: 1.3em;
        font-weight: 600;
        letter-spacing: 0.1ch;
    }
    .oop-department__item > .item__major {
        margin-bottom: 8px;
    }
    .oop-department__item > .item__major > .major__title {
        font-weight: 500;
        color: var(--color-second);
    }
    .oop-department__item > .item__major > .major__profiles {
        margin-left: 4ch;
    }
    .oop-department__item > .item__major > .major__profiles > .profiles__hint {
        color: #a5a5a5;
        font-weight: 500;
        letter-spacing: 0.2ch;
        user-select: none;
    }
    .oop-department__item > .item__major > .major__profiles > .profiles__list {
        margin-left: 3ch;
    }
    .oop-department__item > .item__major > .major__profiles > .profiles__list > li::marker {
        color: var(--color-second);
    }
  /* Реализуемые специальности и направления подготовки кафедрами **/
/** СУББЛОКИ ****/


/**** МЕНЮ **/
  /*** доп. меню раздела (факультета, кафедры, отдела и т.д. ) */
    ul.submenu {
        display: block;
        list-style: inside "➢";
        margin: 0 0 0 1em;
    }
    ul.submenu > li {
        list-style-position: outside;
        padding-left: 4px;
        line-height: 1.25em;
        margin-bottom: 0.7em;
    }
    ul.submenu > li::marker {
        color: var(--color-darkgrey);
    }
  /* доп. меню раздела ***/
/** МЕНЮ ****/


/**** КАРТОЧКИ **/
  /* Контейнер карточек */
  .container-cards {
    display: flex;
    flex-flow: row wrap;
    align-items: flex-start;
    column-gap: 32px;
    row-gap: 32px;
  }

  /*** Карточка профиля */
    /** DEPRECATED: вертикальная карточка
      USE: .profile-card--portrait
      NOTE: не удалять, используется в модуле страниц staff/managers
      TODO: отредактировать модуль под новый класс, после удалить текущие стили
      */
      .card {
        margin: 0 0 20px;
        width: 261px;
        background: #fff;
        border: 1px solid #ddd;
        border-radius: 4px;
        box-shadow: 4px 6px 10px -4px var(--color-grey);
        display: flex;
        flex-flow: column nowrap;
      }
      .card .card__photo {
        aspect-ratio: 3 / 4;
        overflow: hidden;
      }
      .card .card__photo img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        object-position: top;
      }
      .card .card__info {
        padding: 18px 6px 18px 12px;
        text-wrap: balance;
      }
      .card .info__unit,
      .card .info__post,
      .card .info__name {
        text-align: center;
        letter-spacing: 0.4px;
      }
      .card .info__unit {
        font-weight: 600;
        color: #677a8b;
        word-spacing: 2px;
        font-size: 1.3em;
        line-height: 1.1;
      }
      .card .info__post {
        color: var(--color-darkgrey);
      }
      .card .info__name {
        font-weight: 500;
        color: var(--color-second);
      }
      .card .info__contacts {
        margin: 24px 0;
      }
    /* DEPRECATED **/

    /** Горизонтальная */
      .profile-card--landscape {
        flex: 0 0 100%;
      }
      .profile-card--landscape .profile-card__container {
        display: flex;
        flex-flow: row wrap;
        align-items: flex-start;
        gap: 8px;
        margin: 0 0 16px;
        background: #fafcfd;
        border-radius: 4px;
        box-shadow: inset 0 0 0 1px #d0d0d0, 4px 6px 10px -4px var(--color-grey)
      }
      .profile-card--landscape .profile-card__photo {
        flex: 0 0 221px;
        aspect-ratio: 3 / 4;
        border-radius: 4px;
        margin: 16px 8px;
        overflow: hidden;
      }
      .profile-card--landscape .profile-card__photo img {
        margin: 0;
        width: 100%;
        max-width: 100%;
        height: 100%;
        object-fit: cover;
        object-position: top;
      }
      .profile-card--landscape .profile-card__info {
        flex: 1;
        min-width: 36ch;
        padding: 16px 8px;
        text-wrap: balance;
      }

      @media only screen and (max-width: 600px) {
        .profile-card--landscape .profile-card__photo {
          flex: 0 0 221px;
          width: clamp(261px, 100%, 358.7px);
          aspect-ratio: 3 / 4;
          border-bottom-left-radius: 0;
          border-bottom-right-radius: 0;
          margin: 0 auto;
          overflow: hidden;
        }
        .profile-card--landscape .profile-card__info {
          min-width: unset;
        }
      }
    /* Горизонтальная **/

    /** Вертикальная */
      .profile-card--portrait {
        flex: 0 0 261px;
      }
      .profile-card--portrait .profile-card__container {
        display: flex;
        flex-flow: column nowrap;
        gap: 8px;
        margin: 0 0 16px;
        background: #fafcfd;
        border-radius: 4px;
        box-shadow: inset 0 0 0 1px #d0d0d0, 4px 6px 10px -4px var(--color-grey);
      }
      .profile-card--portrait .profile-card__photo {
        flex: 0;
        min-height: 348px;
        width: clamp(261px, 100%, 358.7px);
        aspect-ratio: 3 / 4;
        border-radius: 4px;
        border-bottom-left-radius: 0;
        border-bottom-right-radius: 0;
        margin: 0 auto;
        overflow: hidden;
      }
      .profile-card--portrait .profile-card__photo img {
        margin: 0;
        width: 100%;
        max-width: 100%;
        height: 100%;
        object-fit: cover;
        object-position: top;
      }
      .profile-card--portrait .profile-card__info {
        padding: 16px 8px;
        text-wrap: balance;
      }
      @media only screen and (max-width: 600px) {
        .profile-card--portrait {
          flex: 1 1 100%;
          min-width: 261px;
        }
      }
    /* Вертикальная **/

    /* Доп. классы */
      .profile-card__title {
        flex: 0 0 100%;
        margin: 24px 0 0;
      }

      /* убирает тень карточки */
      .profile-card--flat .profile-card__container {
        /* NOTE: тень выполняет роль border */
        box-shadow: inset 0 0 0 1px #d0d0d0;
      }

      /* Центровка всего текста */
      .profile-card--text-center {
        text-align: center;
      }

      /* растягивает вертикальные карточки */
      .profile-card--fill.profile-card--portrait {
      align-self: stretch;
      }
      .profile-card--fill.profile-card--portrait .profile-card__container {
      height: 100%;
      }
      .profile-card--fill.profile-card--portrait .profile-card__photo {
      min-height: 348px;
      }

      /* Скрывает оформление карточки, делая его визуально частью текста */
      .profile-card--transparent .profile-card__container {
        box-shadow: none;
        background: none;
      }
    /** Доп. классы */

    /** Элементы со сведениями */
      .profile-card .info__name,
      .profile-card .info__post,
      .profile-card .info__unit {
        letter-spacing: 0.4px;
      }
      .profile-card .info__name,
      .profile-card .info__post {
        text-align: center;
      }
      .profile-card .info__name {
        font-weight: 500;
        color: var(--color-second);
      }
      .profile-card .info__post {
        color: var(--color-darkgrey);
      }
      .profile-card .info__unit {
        font-weight: 600;
        color: #677a8b;
        word-spacing: 2px;
        font-size: 1.3em;
        line-height: 1.1;
      }
      .profile-card .info__contacts {
        margin: 24px 0;
      }
    /* Элементы со сведениями **/
  /* Карточка профиля ***/

  /*** Новостная карточка */
    .news-card {
      width: 100%;
      min-width: 270px;
      border-bottom: 2px solid #eeeeee;
      padding-bottom: 24px;
      container-type: inline-size;
    }
    .news-card__container {
      display: flex;
      flex-flow: row wrap;
      align-items: flex-start;
      gap: 16px 24px;
      text-wrap: balance;
    }
    .news-card__preview-photo {
      flex: 0 0 200px;
      aspect-ratio: 3 / 2;
      overflow: hidden;
      border-radius: 12px;
    }
    .news-card__preview-photo img {
      width: 100%;
      max-width: 100%;
      height: 100%;
      margin: 0;
      object-fit: cover;
    }
    .news-card__preview-info {
      flex: 1 0 270px;
      max-width: 60ch;
      margin-top: 0.3em;
    }
    /* учитываем боковые отступы в моб. верстке (15px) */
    @container (max-width: 494px) {
      /* Если контейнер новостной карточки < 524px */
      .news-card__container {
        justify-content: center;
        text-align: justify;
        text-wrap: unset;
      }
    }
  /* Новостная карточка ***/
/** КАРТОЧКИ ****/

